Payout
GET https://{handle}.myshopline.com/admin/openapi/v20261201/payments/store/payout.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query detail of specified withdraw record. Does not support POS currently.
Query Parameters
- payout_id string requiredWithdraw serial numberExample:
202207291892569505684072448
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 404
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
payoutsobject[]
List of paymentsamount stringWithdraw amount , amount reserved for two decimal pointsExample:12.00currency stringWithdraw currency , according to ISO4217 specificationsExample:USDdate stringWithdraw date , follow ISO8601 specificationsExample:2022-08-03T10:45:00+08:00id stringWithdraw serial numberExample:202207291892569505684072448status stringWithdraw status . Available values : in progress ( in process ) ; accepted by bank ( bank accepted ) ; completed ( completed ) ; failed ( failed in payment ) ; retrying ( in re-sale ) ;Example:in progress
API Explorer
Debugger
Examples
Was this article helpful to you?